<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        table{
            width: 50%;
            margin: 0 auto;
            border: 1px solid black;
        }
        td{
            border: 1px solid black;
        }
        #refe{
            background-color: green;
            display: none;
        }
    </style>
</head>
<body>
    <!-- tabla 10 fila 4 columnas click en una fila cambia de color ella la de arriba y abajo si ya tiene color vuelve a estar blanco-->
    <table>
        <tr class="1">
            <td>as</td>
            <td>as</td>
            <td>as</td>
            <td>as</td>
        </tr>
        <tr class="2">
            <td>as</td>
            <td>as</td>
            <td>as</td>
            <td>as</td>
        </tr>
        <tr class="3">
            <td>as</td>
            <td>as</td>
            <td>as</td>
            <td>as</td>
        </tr>
        <tr class="4">
            <td>as</td>
            <td>as</td>
            <td>as</td>
            <td>as</td>
        </tr>
        <tr class="5">
            <td>as</td>
            <td>as</td>
            <td>as</td>
            <td>as</td>
        </tr>
        <tr class="6">
            <td>as</td>
            <td>as</td>
            <td>as</td>
            <td>as</td>
        </tr>
        <tr class="7">
            <td>as</td>
            <td>as</td>
            <td>as</td>
            <td>as</td>
        </tr>
        <tr class="8">
            <td>as</td>
            <td>as</td>
            <td>as</td>
            <td>as</td>
        </tr>
        <tr class="9">
            <td>as</td>
            <td>as</td>
            <td>as</td>
            <td>as</td>
        </tr>
        <tr class="10">
            <td>as</td>
            <td>as</td>
            <td>as</td>
            <td>as</td>
        </tr>
        <div id="refe"></div>
    </table>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function(){
            $("tr").click(function(){
                if($(this).css("background-color")==$("#refe").css("background-color")){
                    $(this).css("background-color", "white");
                    $(this).next().css("background-color", "white");
                    $(this).prev().css("background-color", "white");
                }else{
                    $(this).css("background-color", "green");
                $(this).next().css("background-color", "green");
                $(this).prev().css("background-color", "green");
                }
            });
            

        })
    </script>
</body>
</html>